osgTerrain::TileID Class Reference

`#include <TerrainTile>`

## Public Member Functions

| TileID ()
| TileID (int in_level, int in_x, int in_y)
bool | operator== (const TileID &rhs) const
bool | operator!= (const TileID &rhs) const
bool | operator< (const TileID &rhs) const
bool | valid () const

## Public Attributes

int | level
int | x
int | y

## Constructor & Destructor Documentation

## TileID() [1/2]

osgTerrain::TileID::TileID | ( |  | ) |

Referenced by operator!=(), operator<(), and operator==().

## TileID() [2/2]

osgTerrain::TileID::TileID | ( | int | in_level,
|  | int | in_x,
|  | int | in_y )

## Member Function Documentation

## operator!=()

bool osgTerrain::TileID::operator!= | ( | const TileID & | rhs | ) | const

inline

References level, TileID(), x, and y.

## operator<()

bool osgTerrain::TileID::operator< | ( | const TileID & | rhs | ) | const

inline

References level, TileID(), x, and y.

## operator==()

bool osgTerrain::TileID::operator== | ( | const TileID & | rhs | ) | const

inline

References level, TileID(), x, and y.

## valid()

bool osgTerrain::TileID::valid | ( |  | ) | const

inline

References level.

## Member Data Documentation

## level

int osgTerrain::TileID::level

Referenced by operator!=(), operator<(), operator==(), and valid().

## x

int osgTerrain::TileID::x

Referenced by operator!=(), operator<(), and operator==().

## y

int osgTerrain::TileID::y

Referenced by operator!=(), operator<(), and operator==().

The documentation for this class was generated from the following file:

- TerrainTile